#!/bin/bash

TGT=NKF
BLD=nkf192
if test ! -d $BLD ; then
	mkdir $BLD
	cd $BLD
	mkdir NKF
	sh ../$BLD.shar
	patch < ../$BLD-win32.patch
	cd ..
fi
cd $BLD/NKF

make_program() {
	PERLPATH=$1
	DIR=$2

	$PERLPATH/perl Makefile.PL $3

	sed -e 's#&&#\
		#' Makefile > Makefile.TEMPFILE
	mv -f Makefile.TEMPFILE Makefile

	nmake 
	nmake test
	nmake install
	tar --mode=644 -cvf $TGT.tar blib/*
	gzip --best $TGT.tar
	mv -f $TGT.tar.gz $DIR/x86
	nmake ppd
	sed -e 's#<ABSTRACT></ABSTRACT>#<ABSTRACT>NKF library module for perl</ABSTRACT>#' -e 's#<AUTHOR></AUTHOR>#<AUTHOR>Shinji Kono (kono@ie.u-ryukyu.ac.jp)</AUTHOR>#' -e 's#<CODEBASE HREF="" />#<CODEBASE HREF="x86/NKF.tar.gz" />#' $TGT.ppd > $TGT.ppd.TEMPFILE
	mv -f $TGT.ppd.TEMPFILE $TGT.ppd
	mv -f $TGT.ppd $DIR
	nmake clean
}

make_program c:/usr/perl628/bin ../../600 
make_program c:/usr/perl522/bin ../../500 CAPI=TRUE

