#!/bin/bash

PREFIX=/namazu
TGT=Search-Namazu
BLD=Search-Namazu-0.13

SYSLIBS=`echo -L$LIB | sed -e "s/\;$//" -e "s/\;/ -L/g"`
if test ! -d $BLD ; then
  tar zxvf $BLD.tar.gz
fi
cd $BLD

make_program() {
	PERLPATH=$1
	DIR=$2

	$PERLPATH/perl Makefile.PL INC="-I$PREFIX/include/namazu" LIBS="-L$PREFIX/lib -llibnmz -llibnmzut $SYSLIBS" $3 

	sed -e 's#&&#\
		#' Makefile > Makefile.TEMPFILE
	mv -f Makefile.TEMPFILE Makefile

	nmake 
	nmake install
	tar --mode=644 -cvf $TGT.tar blib/*
	gzip --best $TGT.tar
	mv -f $TGT.tar.gz $DIR/x86
	nmake ppd
	sed -e 's#<ABSTRACT></ABSTRACT>#<ABSTRACT>Namazu library module for perl</ABSTRACT>#' -e 's#<AUTHOR></AUTHOR>#<AUTHOR>NOKUBI Takatsugu (knok@daionet.gr.jp)</AUTHOR>#' -e 's#<CODEBASE HREF="" />#<CODEBASE HREF="x86/Search-Namazu.tar.gz" />#' $TGT.ppd > $TGT.ppd.TEMPFILE
	mv -f $TGT.ppd.TEMPFILE $DIR/$TGT.ppd
	nmake clean
}

make_program c:/usr/Perl628/bin ../600 POLLUTE=1
make_program c:/usr/Perl522/bin ../500 CAPI=TRUE

