#!/bin/bash

TGT=Text-Kakasi
BLD=$TGT-1.05

if test ! -d $BLD ; then
	tar xvzf $BLD.tar.gz
	cd $BLD
	patch < ../$BLD-win32.patch
else
	cd $BLD
fi

# a function to make program.
make_program() {
	PERLPATH=$1
	DIR=$2

	if test -f Makefile ; then
		nmake clean
		rm -f Makefile.old
	fi

	$PERLPATH/perl Makefile.PL $3 
	if test $DIR = ../500 ; then
		sed -e 's#OTHERLDFLAGS =#OTHERLDFLAGS = kernel32.lib#' Makefile > Makefile.TEMPFILE
		mv -f Makefile.TEMPFILE Makefile
	fi
	sed -e 's#&&#\
		#' Makefile > Makefile.TEMPFILE
	mv -f Makefile.TEMPFILE Makefile

	nmake 
	nmake test
	nmake install
	tar --mode=644 -cvf $TGT.tar blib/*
	gzip --best $TGT.tar
	mv -f $TGT.tar.gz $DIR/x86
	nmake ppd
	sed -e 's#<CODEBASE HREF="" />#<CODEBASE HREF="x86/Text-Kakasi.tar.gz" />#' $TGT.ppd > $TGT.ppd.TEMPFILE
	mv -f $TGT.ppd.TEMPFILE $TGT.ppd
	mv -f $TGT.ppd $DIR
}

make_program c:/usr/perl628/bin ../600 
make_program c:/usr/perl522/bin ../500 CAPI=TRUE 

